Bug 12695 - Remove CGI::scrolling_list from marc21_linking_section.pl
Summary: Remove CGI::scrolling_list from marc21_linking_section.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 766
  Show dependency treegraph
 
Reported: 2014-08-02 01:48 UTC by Bernardo Gonzalez Kriegel
Modified: 2015-06-04 23:32 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12695: Remove CGI::scrolling_list from marc21_linking_section.pl (3.76 KB, patch)
2014-08-02 01:55 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12695: Remove CGI::scrolling_list from marc21_linking_section.pl (3.97 KB, patch)
2014-08-13 19:13 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 12695: Remove CGI::scrolling_list from marc21_linking_section.pl (4.50 KB, patch)
2014-08-15 18:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2014-08-02 01:48:24 UTC
Two in this file
Comment 1 Bernardo Gonzalez Kriegel 2014-08-02 01:55:40 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-08-13 19:13:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-08-15 18:41:03 UTC
Created attachment 30861 [details] [review]
[PASSED QA] Bug 12695: Remove CGI::scrolling_list from marc21_linking_section.pl

Same situation as Bug 12694.

There are two instances on this file, but they are not used.
I suppose is old code that was left dangling.

Both scrolling_list, CGIPublisher and CGIitemtype, are not
used on marc21_linking_section.tt nor any other file.

Just removed from file two useless db queries.

To test:
1. Apply the patch
2. Can't remember how to trigger this plugin.
You can edit you framework and change the plugin
for a tag, e.g. 007. Then save fw, search and edit a record,
clic to open plugin on 007 tag, check that works but don't
save the original record, finally revert your changes.

There must be no functional changes, is unused code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Followed test plan successfully. The behavior of the plugin window
appears to be unchanged after applying the patch.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Amending the test plan a bit: The plugin was added by bug 8185
- not dead code at all :)

In order to test:
- Edit one of your frameworks, make 773 atwxz9 visible.
- Link 773 $9 to the marc21-linking-section plugin
- Create a new record in cataloguing
- Search for a your host item record (parent)
- Link it
- Observe that the subfields have been filled with information
  from the other record
  $w = 001 from the parent
  $9 = biblionumber from the parent
  $t = Title
  $x = ISSN
  ...

Still works with the patch applied.
Comment 4 Tomás Cohen Arazi 2014-08-19 12:43:20 UTC
Patch pushed to master.

Thanks Bernardo!